Skip to content

Accounts, Cards & Debit Orders

Stop a consumer card.

POST /v1/consumer/account/card/stop

Auth: Access token (Bearer).

Request body

FieldTypeRequiredDescription
cardReferencestringNoThe card reference to stop.
reasonstring?NoThe reason for stopping the card.
json
{
  "cardReference": "00000000-0000-0000-0000-000000000000",
  "reason": "string"
}

Responses

StatusDescription
200The request was successful and the card was stopped.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
json
{
  "success": true
}

Code samples

ts
// @vantagepay/vantagepay
await client.consumers.stopCard('4e5f6a7b-8c9d-4e1f-a2b3-c4d5e6f7a8b9', 'Card lost')
csharp
// VantagePay.SDK
await client.Consumers.StopCardAsync(Guid.Parse("4e5f6a7b-8c9d-4e1f-a2b3-c4d5e6f7a8b9"), "Card lost");

Dispute a debit order.

POST /v1/consumer/account/debit-order/dispute

Auth: Access token (Bearer).

Request body

FieldTypeRequiredDescription
debitOrderReferencesarray<string>?NoGets or sets the unique identifiers of the debit orders to dispute.
json
{
  "debitOrderReferences": [
    "00000000-0000-0000-0000-000000000000"
  ]
}

Responses

StatusDescription
200The request was successful and the debit orders were disputed.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
json
{
  "success": true
}

Code samples

ts
// @vantagepay/vantagepay
await client.consumers.disputeDebitOrders(['0a1b2c3d-4e5f-4061-8273-8495a6b7c8d9'])
csharp
// VantagePay.SDK
await client.Consumers.DisputeDebitOrdersAsync(new[] { Guid.Parse("0a1b2c3d-4e5f-4061-8273-8495a6b7c8d9") });

Stop a debit order.

POST /v1/consumer/account/debit-order/stop

Auth: Access token (Bearer).

Request body

FieldTypeRequiredDescription
debitOrderReferencesarray<string>?NoThe debit order references to stop.
json
{
  "debitOrderReferences": [
    "00000000-0000-0000-0000-000000000000"
  ]
}

Responses

StatusDescription
200The request was successful and the debit orders were stopped.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
json
{
  "success": true
}

Code samples

ts
// @vantagepay/vantagepay
await client.consumers.stopDebitOrders(['0a1b2c3d-4e5f-4061-8273-8495a6b7c8d9'])
csharp
// VantagePay.SDK
await client.Consumers.StopDebitOrdersAsync(new[] { Guid.Parse("0a1b2c3d-4e5f-4061-8273-8495a6b7c8d9") });

Get the bank account balance.

GET /v1/consumer/account/bank-account/{bankAccountReference}/balance

Auth: Access token (Bearer).

Parameters

NameInRequiredDescription
bankAccountReferencepathYesThe bank account reference to retrieve the balance for.

Responses

StatusDescription
200The request was successful and the balance was retrieved.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoA snapshot of a financial account balance.
json
{
  "success": true,
  "result": {
    "currency": "None",
    "availableAmountInCents": 0,
    "currentAmountInCents": 0
  }
}

Code samples

ts
// @vantagepay/vantagepay
const balance = await client.consumers.getBankAccountBalance('6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a')
csharp
// VantagePay.SDK
var balance = await client.Consumers.GetBankAccountBalanceAsync(Guid.Parse("6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a"));

Get the bank account limits.

GET /v1/consumer/account/bank-account/{bankAccountReference}/limit

Auth: Access token (Bearer).

Parameters

NameInRequiredDescription
bankAccountReferencepathYesThe bank account reference to retrieve the limits for.

Responses

StatusDescription
200The request was successful and the limits were retrieved.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultarray<object>?NoGets the response payload.
json
{
  "success": true,
  "result": [
    {}
  ]
}

Code samples

ts
// @vantagepay/vantagepay
const limits = await client.consumers.getBankAccountLimits('6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a')
csharp
// VantagePay.SDK
var limits = await client.Consumers.GetBankAccountLimitsAsync(Guid.Parse("6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a"));

Set the bank account limit.

POST /v1/consumer/account/bank-account/{bankAccountReference}/limit

Auth: Access token (Bearer).

Parameters

NameInRequiredDescription
bankAccountReferencepathYesThe bank account reference to set the limit for.

Request body

FieldTypeRequiredDescription
transactionLimitTypeone of 13 values (e.g. Unknown, CashWithdrawal, Transfer, ...)YesThe transaction limit type (ATM, Payment, Transfer, etc.).
resetPeriodPerTransaction, Daily, Weekly, Monthly, YearlyYesThe reset period for this limit (PerTransaction, Daily, Weekly, Monthly, Yearly).
newLimitAmountInCentsintegerNoThe maximum amount allowed in cents for this transaction type and reset period.
json
{
  "transactionLimitType": "Unknown",
  "resetPeriod": "PerTransaction",
  "newLimitAmountInCents": 0
}

Responses

StatusDescription
200The request was successful but does not return any results.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
json
{
  "success": true
}

Code samples

ts
// @vantagepay/vantagepay
import { TransactionLimitType, LimitResetPeriod } from '@vantagepay/vantagepay'

await client.consumers.changeBankAccountLimit('6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a', TransactionLimitType.CashWithdrawal, LimitResetPeriod.Daily, 500000)
csharp
// VantagePay.SDK
using VantagePay.Models.Common;

await client.Consumers.ChangeBankAccountLimitAsync(Guid.Parse("6d5c4b3a-2f1e-4d3c-8b7a-9f8e7d6c5b4a"), TransactionLimitType.CashWithdrawal, LimitResetPeriod.Daily, 500000);

Payments for Africa